#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 2

Name: gwenview
Summary: Fast and easy to use image viewer for KDE
Version: 16.12.3
Release: %mkrel %{rel}
Epoch: 2
Group: Graphics/Viewers
License: GPLv2
URL: http://www.kde.org
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
# Custom patch from https://bugs.kde.org/show_bug.cgi?id=294594
# Not upstreamed as upstream would prefer config feature to an hardcoded workaround
Patch0: gwenview-4.14.3-bko-default-jpeg-quality-to-95.patch

BuildRequires: kf5-macros
BuildRequires: baloo-devel
BuildRequires: jpeg-devel

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5OpenGL)

BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(exiv2)

BuildRequires: kio-devel
BuildRequires: karchive-devel
BuildRequires: kdelibs4support-devel
BuildRequires: kactivities-devel

BuildRequires: libkexiv2-devel
BuildRequires: libkdcraw-devel
BuildRequires: libkipi-devel

BuildRequires: kfilemetadata-devel

#Requires:        kipi-common
Requires:        kdelibs4support
Requires:        kio
Requires:        kio-extras
Requires:        kinit
Requires:        breeze
Requires:        kded
# For TIFF, WEBM, WEBP, etc. support (mga#18020)
Requires:        qtimageformats5
Recommends:      gwenview-handbook
#Recommends:      kipi-plugins

# Branch Patch (100-200)

%description
Gwenview is a fast and easy to use image viewer/browser for KDE.
All common image formats are supported, such as PNG(including transparency),
JPEG(including EXIF tags and lossless transformations), GIF, XCF (Gimp
image format), BMP, XPM and others. Standard features include slideshow,
fullscreen view, image thumbnails, drag'n'drop, image zoom, full network
transparency using the KIO framework, including basic file operations and
browsing in compressed archives, non-blocking GUI with adjustable views.
Gwenview also provides image and directory KParts components for use e.g. in
Konqueror. Additional features, such as image renaming, comparing,
converting, and batch processing, HTML gallery and others are provided by the
KIPI image framework.

%files
%_kf5_bindir/gwenview
%_qt5_plugindir/gvpart.so
%_kf5_datadir/applications/org.kde.gwenview.desktop
%_kf5_datadir/gwenview
%_iconsdir/*/*/*/*
%_kf5_services/ServiceMenus/slideshow.desktop
%_kf5_services/gvpart.desktop
%_kf5_datadir/kxmlgui5/org.kde.gwenview
%_kf5_datadir/kxmlgui5/gvpart
%_kf5_datadir/appdata/org.kde.gwenview.appdata.xml

#------------------------------------------------------------------------------

%package handbook
Summary: Gwenview handbook
Conflicts: gwenview < 2:4.7.1
Requires:  gwenview >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description handbook
This package provides the gwenview handbook.

%files handbook
%doc %_docdir/HTML/en/gwenview

#------------------------------------------------------------------------------

%define gwenviewlib_major 4
%define libgwenviewlib %mklibname gwenviewlib %gwenviewlib_major

%package -n %libgwenviewlib
Summary: Gwenview library
Group: System/Libraries

%description -n %libgwenviewlib
Gwenview library.

%files -n %libgwenviewlib
%_kf5_libdir/libgwenviewlib.so.%{gwenviewlib_major}*
%_kf5_libdir/libgwenviewlib.so.5

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Tue Jun 20 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1108003
- Rebuild against new exiv2

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090008
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076743
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1071958
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067276
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061335
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050602
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047230
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1039997
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012487
- New version 16.04.1

* Mon Apr 25 2016 akien <akien> 2:16.04.0-2.mga6
+ Revision: 1006209
- Requires qtimageformats5 for TIFF, WEBM, WEBP, etc. support (mga#18020)

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004277
- New version 16.04.0

* Mon Apr 04 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 998300
- Rebuild against new libkipi

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 994811
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991128
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 2:15.12.2-1.mga6
+ Revision: 987396
- New version 15.12.2

* Tue Jan 19 2016 neoclust <neoclust> 2:15.12.1-3.mga6
+ Revision: 925876
- Remove starting errors ( mga #16721 )
- Remove starting errors ( mga #16721 )

* Wed Jan 13 2016 neoclust <neoclust> 2:15.12.1-1.mga6
+ Revision: 922566
- New version 15.12.1

* Fri Dec 25 2015 shlomif <shlomif> 2:15.12.0-2.mga6
+ Revision: 914628
- Rebuild for new deps due to crash at startup

* Sat Dec 19 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 911902
- New version 15.12.0

* Tue Dec 01 2015 neoclust <neoclust> 2:15.11.80-2.mga6
+ Revision: 907559
- Add kinit as runtime deps

* Thu Nov 26 2015 neoclust <neoclust> 2:15.11.80-1.mga6
+ Revision: 906230
- New version 15.11.80
- Add minimal deps MGA#17107
- New version 15.08.3

* Thu Oct 15 2015 neoclust <neoclust> 2:15.08.2-1.mga6
+ Revision: 891706
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880393
- New version 15.08.1

* Mon Aug 24 2015 neoclust <neoclust> 2:15.08.0-3.mga6
+ Revision: 868873
- Add libkipi-devel as a builddeps

* Sun Aug 23 2015 neoclust <neoclust> 2:15.08.0-2.mga6
+ Revision: 868850
- Enable libkdcraw-devel support

* Wed Aug 19 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 865911
- New version 15.08.0

* Sun Aug 16 2015 neoclust <neoclust> 2:15.07.90-3.mga6
+ Revision: 865135
- Requires kdelibs4support for image viewing support

* Wed Aug 12 2015 neoclust <neoclust> 2:15.07.90-2.mga6
+ Revision: 863700
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 2:15.07.90-1.mga6
+ Revision: 861724
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 2:15.07.80-1.mga6
+ Revision: 859957
- New version 15.07.80

* Fri Jul 17 2015 neoclust <neoclust> 2:15.04.3-1.mga6
+ Revision: 854833
- New version

* Mon May 11 2015 akien <akien> 2:4.14.3-2.mga5
+ Revision: 821776
- Add patch to increase default JPEG quality from 75 to 95 (bko#294594, mga#15904)

* Wed Dec 03 2014 lmenut <lmenut> 2:4.14.3-1.mga5
+ Revision: 800544
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 2:4.14.2-1.mga5
+ Revision: 787626
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 2:4.14.1-2.mga5
+ Revision: 750394
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 2:4.14.1-1.mga5
+ Revision: 734492
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 2:4.14.0-2.mga5
+ Revision: 680060
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 2:4.14.0-1.mga5
+ Revision: 667430
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 2:4.13.97-1.mga5
+ Revision: 662941
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 2:4.13.95-1.mga5
+ Revision: 656619
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 2:4.13.90-1.mga5
+ Revision: 653805
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 2:4.13.80-1.mga5
+ Revision: 651910
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 2:4.13.2-1.mga5
+ Revision: 636679
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 2:4.13.1-1.mga5
+ Revision: 625446
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 2:4.13.0-1.mga5
+ Revision: 615519
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 2:4.12.97-1.mga5
+ Revision: 609339
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 2:4.12.95-1.mga5
+ Revision: 606780
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Tue Mar 18 2014 shlomif <shlomif> 2:4.12.90-1.mga5
+ Revision: 604820
- Fix requiring an i586 package on x86-64 systems.

  + neoclust <neoclust>
    - New version 4.12.80

* Tue Mar 11 2014 neoclust <neoclust> 2:4.12.80-1.mga5
+ Revision: 602501
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 2:4.12.2-1.mga5
+ Revision: 590412
- New version 4.12.2

* Mon Feb 10 2014 dams <dams> 2:4.11.5-2.mga5
+ Revision: 589078
- rebuild for new exiv2

  + neoclust <neoclust>
    - Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 554939
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551193
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 539909
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490696
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 2:4.11.1-2.mga4
+ Revision: 488613
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476791
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465144
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458853
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455243
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Sun Jul 07 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 450999
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435250
- Update tarball to KDE SC 4.10.4

* Sun Jun 02 2013 fwang <fwang> 2:4.10.3-2.mga4
+ Revision: 434923
- rebuild for new libpng

* Sun May 26 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428368
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407180
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401838
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394357
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 353059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339403
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334511
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326716
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320273
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Add missing buildrequires
- Disable  -DKDE4_ENABLE_FINAL (not supported)

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316154
- Update tarball to KDE SC 4.9.3
- Use pkgconfig() for BuildRequires

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301929
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289718
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277098
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269650
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 265822
- New version - 4.8.95

* Mon Jun 18 2012 fwang <fwang> 2:4.8.4-2.mga3
+ Revision: 261603
- rebuild for new exiv2

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257220
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 232810
- Add kipi-plugins as suggests
- Add missing requires

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228436
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221461
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198188
- Updating tarball to KDE 4.8.0
- Add requires for kdebase4-runtime

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190984
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185930
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 181869
- Update tarball to KDE SC 4.7.90
- fix BuildRequires

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176349
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161093
- Update tarball to KDE SC 4.7.3

* Sun Oct 09 2011 fwang <fwang> 2:4.7.2-2.mga2
+ Revision: 153439
- rebuild for new exiv2

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151928
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140621
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%defattr
- Remove %%clean section
- Remove kdelibs4-devel and libexiv-devel as require for -devel package (already handled by autoreqprov)
- Update tarball to KDE SC 4.7.0
- use kde macros
- remove %%defattr

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122363
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Tue Jun 28 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115450
-Add more requires on -devel package
- imported package gwenview

  + fwang <fwang>
    - add conflicts on older package

